package com.thinkgem.jeesite.modules.user.bean;

import com.thinkgem.jeesite.common.baseBean.Request;

public class JuHeZhongPayRequest extends Request {
    private String amount; // 金额
    private String cardCode; // 支付卡code
    private String subject; // 商品名称
    private String payChannel; // 渠道 目前合众支付接口仅传入quick_no_integral ComCode.PAYCHANNEL_HL3
    private String payMethod;//
    private String passwd;// 验证码

    private String level;// 升级成的等级

    private String payNo;// 订单号

    private String cvn2; // 安全吗

    private String expireDate;// 过期时间

    public String getAmount() {
        return amount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getCardCode() {
        return cardCode;
    }

    public void setCardCode(String cardCode) {
        this.cardCode = cardCode;
    }

    public String getSubject() {
        return subject;
    }

    public void setSubject(String subject) {
        this.subject = subject;
    }

    public String getPayChannel() {
        return payChannel;
    }

    public void setPayChannel(String payChannel) {
        this.payChannel = payChannel;
    }

    public String getPayMethod() {
        return payMethod;
    }

    public void setPayMethod(String payMethod) {
        this.payMethod = payMethod;
    }

    public String getPasswd() {
        return passwd;
    }

    public void setPasswd(String passwd) {
        this.passwd = passwd;
    }

    public String getPayNo() {
        return payNo;
    }

    public void setPayNo(String payNo) {
        this.payNo = payNo;
    }

    public String getCvn2() {
        return cvn2;
    }

    public void setCvn2(String cvn2) {
        this.cvn2 = cvn2;
    }

    public String getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(String expireDate) {
        this.expireDate = expireDate;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }
}
